Name:           mandrakelinux-kde-config-file
Summary:        All specific config file for Mandrakelinux for KDE.
Version:		10.1
Release:		5mdk
URL:            http://www.mandrakesoft.com
Group:          Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot

Source0:		mandrakelinux-kde-config-file.tar.bz2


License:		GPL
Requires:       kdebase >= 3.1
Requires:		kdelibs >= 3.1
BuildArch:   	noarch
BuildRequires:  intltool
Provides:	kde-config-file

%description
This package regroups all specific Mandrakelinux config file for KDE.
(kicker config etc.)


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -n%name

%build


%install


install -d -m 0755 "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/"

install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_active_bar.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar.png"

install -m 0644 $RPM_BUILD_DIR/%name/Preview.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/Preview.png"


install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_active_bar_bidi.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar_bidi.png"

install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_bottom.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_bottom.png"

install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_inactive_bar.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar.png"

install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_inactive_bar_bidi.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar_bidi.png"

install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_top.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_top.png"


install -d -m 0755 "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/"

cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/Preview.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/Preview.png"
cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_active_bar.png"

cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar_bidi.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_active_bar_bidi.png"
cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_inactive_bar.png"
cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_bottom.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_bottom.png"

cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_top.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_top.png"

cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar_bidi.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_inactive_bar_bidi.png"


install -d -m 0755 %buildroot/%_datadir/apps/kicker/

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-discovery-apps %buildroot/%_datadir/apps/kicker/default-discovery-apps

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-discovery-apps-simplified %buildroot/%_datadir/apps/kicker/default-discovery-apps-simplified

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-download-apps %buildroot/%_datadir/apps/kicker/default-download-apps

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-download-apps-simplified %buildroot/%_datadir/apps/kicker/default-download-apps-simplified

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-powerpack-apps %buildroot/%_datadir/apps/kicker/default-powerpack-apps

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-powerpack-apps-simplified %buildroot/%_datadir/apps/kicker/default-powerpack-apps-simplified

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-powerpackplus-apps %buildroot/%_datadir/apps/kicker/default-powerpackplus-apps

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-powerpackplus-apps-simplified %buildroot/%_datadir/apps/kicker/default-powerpackplus-apps-simplified

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %_datadir/apps/
%dir %_datadir/apps/kicker/
%_datadir/apps/kicker/*

%dir "%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/Preview.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar_bidi.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_bottom.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_top.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar_bidi.png"

%dir "%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/Preview.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_active_bar.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_active_bar_bidi.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_inactive_bar.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_bottom.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_top.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_inactive_bar_bidi.png"



%changelog
* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-5mdk
- Fix some mistakes into file :(

* Fri Sep 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-4mdk
- Add webmin entry

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-3mdk
- Update picture for MDK 10.1
- Update kicker apps

* Fri Aug 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-2mdk
- Move splash screen picture into this package

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-1mdk
- Update for 10.1

* Thu Jul 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-1mdk
- Initial package


